Subject: bug#60410: closed (Re: [PATCH 1/7] xapian: Index several terms as boolean and without positions.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Jan 2023 12:15:02 +0000

Your bug report

#60410: [PATCH 0/7] mumi: Boolean prefixes in xapian indexing and others

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60410: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60410
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/7] xapian: Index several terms as boolean and without positions.
From: Ricardo Wurmus <[email-masked]>
To: Arun Isaac <[email-masked]>
Cc: [email-masked]
Date: Sun, 01 Jan 2023 13:14:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Arun,

>>     worker error: (keyword-argument-error #f Unrecognized keyword ()
>>     (#:positions?))
>
> Oops! It looks like I have been working with some unpublished
> guile-xapian code. I have pushed those guile-xapian commits, released
> guile-xapian 0.3.0 and updated the Guix guile-xapian package. Hopefully,
> it should work now. Could you try again?

Thank you, thisk works!
I applied the changes.

-- 
Ricardo

Subject: [PATCH 0/7] mumi: Boolean prefixes in xapian indexing and others
From: Arun Isaac <[email-masked]>
To: [email-masked], Ricardo Wurmus <[email-masked]>
Cc: Arun Isaac <[email-masked]>
Date: Thu, 29 Dec 2022 20:18:09 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ricardo,

This is a patchset that has been sleeping for some time in my local
git repo. So, I thought it was about time to send it over!

The main change is that some xapian prefixes should be indexed as
boolean prefixes. This makes the use of an implicit AND operator
unneccessary and lets xapian do the natural thing of ordering results
by relevance. I believe this improves the search significantly. Also,
since we retrieve search results by relevance, we can offload limiting
of search results to xapian. Thus, we improve performance as well.

For this patchset to be useful, mumi's xapian index will have to be
rebuilt. In general, it is good to periodically rebuilt the xapian
index from scratch.

Regards,
Arun

Arun Isaac (7):
  xapian: Index several terms as boolean and without positions.
  xapian: Declare some prefixes as boolean.
  xapian: Do not override the default OR implicit query operator.
  messages: Remove unused set intersection feature in search-bugs.
  messages: Offload limiting search results to xapian.
  cache: Specify that cache! returns the cached value.
  xapian: Preserve order of search results.

 mumi/cache.scm    |   3 +-
 mumi/messages.scm |  29 ++++--------
 mumi/xapian.scm   | 109 +++++++++++++++++++++++++++++++---------------
 3 files changed, 86 insertions(+), 55 deletions(-)

-- 
2.38.1